#
#    Project: EDNA MXv1
#             http://www.edna-site.org
#
#    File: "$Id$"
#
#    Copyright (C) 2008-2009 European Synchrotron Radiation Facility
#                            Grenoble, France
#
#    Principal author:       Marie-Francoise Incardona (incardon@esrf.fr)
#
#    Contributing author:    Olof Svensson (svensson@esrf.fr) 
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

__authors__ = [ "Marie-Francoise Incardona", "Olof Svensson"]
__contact__ = "svensson@esrf.fr"
__license__ = "GPLv3+"
__copyright__ = "European Synchrotron Radiation Facility, Grenoble, France"

import os

from EDTestCasePluginExecuteCCP4iv10 import EDTestCasePluginExecuteCCP4iv10

class EDTestCasePluginExecuteCCP4iv10_withDataSetInput(EDTestCasePluginExecuteCCP4iv10):


    def __init__(self, _strTestName="EDPluginControlCCP4iv10"):
        EDTestCasePluginExecuteCCP4iv10.__init__(self, _strTestName)
        #EDTestCasePluginExecuteCCP4iv10.__init__( self, "EDPluginControlCCP4iv10_withDataSetInput" )
        self.setConfigurationFile(self.getRefConfigFile())
        self.setDataInputFile(os.path.join(self.getPluginTestsDataHome(), "XSDataInputFileFromCCP4i_withDataSetInput.xml"))


if __name__ == '__main__':

    edTestCasePluginExecuteCCP4iv10_withDataSetInput = EDTestCasePluginExecuteCCP4iv10_withDataSetInput("EDTestCasePluginExecuteCCP4iv10_withDataSetInput")
    edTestCasePluginExecuteCCP4iv10_withDataSetInput.execute()
